Rename session
Update the session title.
POST
/api/session/{sessionID}/renamePath parameters
sessionIDobjectrequiredRequest body
requiredapplication/jsontitlestringrequiredResponses
204<No Content>
400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequired404SessionNotFoundError
Any of:
SessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredSessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredRequest
curl -X POST "/api/session/%5Bobject%20Object%5D/rename" \
-H "Content-Type: application/json" \
-d '{
"title": "string"
}'const response = await fetch("/api/session/%5Bobject%20Object%5D/rename", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"title": "string"
})
});import requests
response = requests.post(
"/api/session/%5Bobject%20Object%5D/rename",
headers={
"Content-Type": "application/json"
},
json={
"title": "string"
},
)Response
<No Content>
{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}{
"_tag": "SessionNotFoundError",
"sessionID": "string",
"message": "string"
}